## powervr-omap3 3.01.00.07-0ubuntu1

=== GFX_Linux_KM/Makefile ===
export KERNELDIR = /opt/oe/stuff/build/tmp/work/beagleboard-angstrom-linux-gnueabi/linux-omap-2.6.29-r44/git/

export KERNEL_PATH=$(KERNELDIR)
export KERNEL_SRC=$(KERNELDIR)
export KDIR=$(KERNELDIR)

export BUILD = release

export KBUILD_EXTRA_SYMBOLS = `pwd`/services4/srvkm/env/linux/kbuild/Module.symvers

SGXCORE = 530
ifeq ($(TI_PLATFORM),omap3630)
CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=125
else
CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=121
endif

SUPPORT_SGX = 1
SUPPORT_HW_RECOVERY = 1
SUPPORT_SGX_HWPERF = 1
SYS_USING_INTERRUPTS = 1
SUPPORT_TI_PM = 0

PVR2D_ALT_2DHW = 1

LDM_PLATFORM ?= 1

# Only enable active power management if passive power management is
# enabled, as indicated by LDM_PLATFORM being set to 1.  On OMAP,
# the system can suspend in the case where active power management is
# enabled in the SGX driver, but passive power management isn't. As
# passive power management isn't enabled, the driver won't see the
# system suspend/resume events, and so won't take appropriate action.
ifeq ($(LDM_PLATFORM),1)
SUPPORT_ACTIVE_POWER_MANAGEMENT ?= 1
else
SUPPORT_ACTIVE_POWER_MANAGEMENT = 0
endif

export PVR_BUILD_DIR := $(shell pwd)

DATE := $(shell date "+%a %B %d %Z %Y" )

CBUILD			=	-DPVR_BUILD_DIR="\"$(PVR_BUILD_DIR)\"" \
				-DPVR_BUILD_DATE="\"$(DATE)\"" \
				-DPVR_BUILD_TYPE="\"$(BUILD)\""

#  Don't support HW recovery on debug builds
CBUILD.debug	= -DDEBUG
CBUILD.timing	= -DTIMING
CBUILD.release	= -DRELEASE
CFLAGS.debug	= -g -O0 -DDLL_METRIC=1
CFLAGS.timing	= $(OPTIM) -g -DDLL_METRIC=1 -DTIMING
CFLAGS.release	= $(OPTIM) -g
CFLAGS          = $(CFLAGS.$(BUILD))


ifeq ("$(BUILD)", "debug")
DEBUG_LINUX_MEMORY_ALLOCATIONS	?= 1
DEBUG_LINUX_MEM_AREAS		?= 1
DEBUG_LINUX_MMAP_AREAS		?= 1
DEBUG_LINUX_XML_PROC_FILES	?= 0
DEBUG_LINUX_SLAB_ALLOCATIONS	?= 0
DEBUG_BRIDGE_KM			?= 1
DEBUG_TRACE_BRIDGE_KM		?= 0
endif

TRANSFER_QUEUE				?= 1
SUPPORT_SGX_EVENT_OBJECT		?= 1
SUPPORT_SECURE_HANDLES			= 1
SUPPORT_SECURE_FD_EXPORT        	= 1
SUPPORT_SRVINIT				= 1
SUPPORT_PERCONTEXT_PB			= 1
SUPPORT_LINUX_X86_PAT 			?=1
SUPPORT_LINUX_X86_WRITECOMBINE 		?=1
SUPPORT_SGX_LOW_LATENCY_SCHEDULING 	?=1


SYS_CFLAGS += -DSERVICES4 -D_XOPEN_SOURCE=600 -DPVR2D_VALIDATE_INPUT_PARAMS

# Thread support
USE_PTHREADS ?= 1
USE_GCC__thread_KEYWORD ?= 0
OPTIMISE_NON_NPTL_SINGLE_THREAD_TLS_LOOKUP ?= 0
DISABLE_THREADS ?= 0

# Automatically define C compiler macros for features possible (or not) in use.

SYS_CFLAGS.$(SUPPORT_SRVINIT)				+= -DSUPPORT_SRVINIT

SYS_CFLAGS.$(SUPPORT_SGX)				+= -DSUPPORT_SGX
SYS_CFLAGS.$(SUPPORT_XWS)				+= -DSUPPORT_XWS
SYS_CFLAGS.$(PDUMP)					+= -DPDUMP
SYS_CFLAGS.$(SUPPORT_POWER_MANAGEMENT)			+= -DSUPPORT_POWER_MANAGEMENT
SYS_CFLAGS.$(SUPPORT_BUFFER_CLASS)			+= -DSUPPORT_BUFFER_CLASS

SYS_CFLAGS.$(SUPPORT_PERCONTEXT_PB)			+= -DSUPPORT_PERCONTEXT_PB 
SYS_CFLAGS.$(SUPPORT_DYNAMIC_PBRESIZE)			+= -DSUPPORT_DYNAMIC_PBRESIZE

SYS_CFLAGS.$(USE_FBDEV)					+= -DUSE_FBDEV
SYS_CFLAGS.$(USE_FBDEV)					+= -DFBDEV_NAME="\"$(FBDEV_NAME)\""
SYS_CFLAGS.$(SUPPORT_DYNAMIC_3DCLOCKGATING) 		+= -DSUPPORT_DYNAMIC_3DCLOCKGATING
SYS_CFLAGS.$(REENTRANCY_PROTECTION)			+= -DREENTRANCY_PROTECTION
SYS_CFLAGS.$(SCHEDULER_CONTROL_SUPPORT) 		+= -DSCHEDULER_CONTROL_SUPPORT
SYS_CFLAGS.$(USE_IMG_POWER_DOMAIN_FUNCTION) 		+= -DUSE_IMG_POWER_DOMAIN_FUNCTION

SYS_CFLAGS.$(USE_DMALLOC)				+= -DDMALLOC

SYS_CFLAGS.$(DEBUG_LINUX_MEMORY_ALLOCATIONS)		+= -DDEBUG_LINUX_MEMORY_ALLOCATIONS
SYS_CFLAGS.$(DEBUG_LINUX_MEM_AREAS)			+= -DDEBUG_LINUX_MEM_AREAS
SYS_CFLAGS.$(DEBUG_LINUX_MMAP_AREAS)			+= -DDEBUG_LINUX_MMAP_AREAS
SYS_CFLAGS.$(DEBUG_LINUX_XML_PROC_FILES)		+= -DDEBUG_LINUX_XML_PROC_FILES
SYS_CFLAGS.$(DEBUG_LINUX_SLAB_ALLOCATIONS)		+= -DDEBUG_LINUX_SLAB_ALLOCATIONS
SYS_CFLAGS.$(DEBUG_BRIDGE_KM)				+= -DDEBUG_BRIDGE_KM
SYS_CFLAGS.$(DEBUG_TRACE_BRIDGE_KM)			+= -DDEBUG_TRACE_BRIDGE_KM
SYS_CFLAGS.$(DEBUG_BRIDGE_KM_DISPATCH_TABLE)		+= -DDEBUG_BRIDGE_KM_DISPATCH_TABLE

SYS_CFLAGS.$(SUPPORT_LINUX_X86_WRITECOMBINE)		+= -DSUPPORT_LINUX_X86_WRITECOMBINE

SYS_CFLAGS.$(SGX_PDS_EVENTS_DISABLED)			+= -DSGX_PDS_EVENTS_DISABLED
SYS_CFLAGS.$(USE_SUPPORT_NO_TA3D_OVERLAP)		+= -DUSE_SUPPORT_NO_TA3D_OVERLAP
SYS_CFLAGS.$(SUPPORT_SGX_TILING)			+= -DSUPPORT_SGX_TILING
SYS_CFLAGS.$(TRANSFER_QUEUE)				+= -DTRANSFER_QUEUE

SYS_CFLAGS.$(SUPPORT_SGX_MMU_DUMMY_PAGE)		+= -DSUPPORT_SGX_MMU_DUMMY_PAGE

SYS_CFLAGS.$(PVRSRV_USSE_EDM_STATUS_DEBUG)		+= -DPVRSRV_USSE_EDM_STATUS_DEBUG

SYS_CFLAGS.$(SUPPORT_DRI_DRM)				+= -DSUPPORT_DRI_DRM

SYS_CFLAGS.$(SYS_USING_INTERRUPTS)			+= -DSYS_USING_INTERRUPTS
SYS_CFLAGS.$(SUPPORT_HW_RECOVERY)			+= -DSUPPORT_HW_RECOVERY
SYS_CFLAGS.$(SUPPORT_ACTIVE_POWER_MANAGEMENT)		+= -DSUPPORT_ACTIVE_POWER_MANAGEMENT

SYS_CFLAGS.$(SUPPORT_SECURE_HANDLES)			+= -DPVR_SECURE_HANDLES
SYS_CFLAGS.$(SUPPORT_SECURE_FD_EXPORT)			+= -DPVR_SECURE_FD_EXPORT


SYS_CFLAGS.$(USE_PTHREADS)				+= -DUSE_PTHREADS
SYS_CFLAGS.$(USE_GCC__thread_KEYWORD)			+= -DUSE_GCC__thread_KEYWORD
SYS_CFLAGS.$(OPTIMISE_NON_NPTL_SINGLE_THREAD_TLS_LOOKUP)	+= -DOPTIMISE_NON_NPTL_SINGLE_THREAD_TLS_LOOKUP
SYS_CFLAGS.$(DISABLE_THREADS)				+= -DDISABLE_THREADS
SYS_CFLAGS.$(SUPPORT_SGX_EVENT_OBJECT)			+= -DSUPPORT_SGX_EVENT_OBJECT
SYS_CFLAGS.$(LDM_PLATFORM)				+= -DLDM_PLATFORM
SYS_CFLAGS.$(LDM_PCI)					+= -DLDM_PCI
SYS_CFLAGS.$(PVR_MANUAL_POWER_CONTROL)			+= -DPVR_MANUAL_POWER_CONTROL

SYS_CFLAGS.$(PVR2D_ALT_2DHW)				+= -DPVR2D_ALT_2DHW

SYS_CFLAGS.$(SUPPORT_SGX_HWPERF)			+= -DSUPPORT_SGX_HWPERF

SYS_CFLAGS.$(SUPPORT_SGX_LOW_LATENCY_SCHEDULING)	+= -DSUPPORT_SGX_LOW_LATENCY_SCHEDULING


SYS_CFLAGS.$(SUPPORT_LINUX_X86_PAT)			+= -DSUPPORT_LINUX_X86_PAT


SYS_CFLAGS.$(SUPPORT_TI_PM)                             += -DSUPPORT_TI_PM

export ALL_CFLAGS =	-DLINUX \
			$(CBUILD) $(CBUILD.$(BUILD)) \
			$(SYS_CFLAGS) $(SYS_CFLAGS.1) \
			$(MODULE_CFLAGS) $(MODULE_CFLAGS.$(BUILD)) \
			$(CORE) \
			$(CFLAGS)

all:
	$(MAKE) -C $(KERNELDIR) M=`pwd` $*

clean:
	$(MAKE) -C $(KERNELDIR) M=`pwd` clean

=== GFX_Linux_KM/services4/3rdparty/dc_omap3430_linux/kbuild/Makefile ===
#
# Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#
#

include $(EURASIAROOT)/eurasiacon/build/linux/kbuild/Makefile.kbuild_subdir_common

MODULE		= omaplfb

INCLUDES = 	-I$(EURASIAROOT)/include4 \
		-I$(EURASIAROOT)/services4/include \
		-I$(EURASIAROOT)/services4/system/$(PVR_SYSTEM) \
		-I$(EURASIAROOT)/services4/system/include \

SOURCES	=	../omaplfb_displayclass.c \
			../omaplfb_linux.c

SYM_VERS_DEPS = $(EURASIAROOT)/services4/srvkm/env/linux

=== GFX_Linux_KM/tools/intern/debug/dbgdriv/linux/kbuild/Makefile ===
#
# Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#
#

include $(EURASIAROOT)/eurasiacon/build/linux/kbuild/Makefile.kbuild_subdir_common

MODULE		= dbgdrv

INCLUDES = 	-I$(EURASIAROOT)/include4 \
			-I$(EURASIAROOT)/tools/intern/debug/dbgdriv/common \
			-I$(EURASIAROOT)/tools/intern/debug/dbgdriv/linux \
			-I$(EURASIAROOT)/tools/intern/debug/client

SOURCES	      = ../main.c \
				../../common/dbgdriv.c \
				../../common/ioctl.c \
				../hostfunc.c \
				../../common/hotkey.c

=== debian/changelog ===
powervr-omap3 (3.01.00.07-0ubuntu1) maverick; urgency=low

  * Initial release, based on OMAP35x_Graphics_SDK_setuplinux_3_01_00_07.bin
  * FFe and needs-packaging request at (LP: #652347)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 13 Sep 2010 01:19:57 -0300

=== debian/control ===
Source: powervr-omap3
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7), dkms, quilt
Standards-Version: 3.9.1
Homepage: http://software-dl.ti.com/dsps/dsps_public_sw/sdo_sb/targetcontent/gfxsdk/
Vcs-Bzr: lp:~rsalveti/+junk/powervr-omap3
Vcs-Browser: http://bazaar.launchpad.net/~rsalveti/+junk/powervr-omap3/files

Package: powervr-omap3-dkms
Architecture: armel
Section: kernel
Depends: dkms (>= 1.95), make, ${misc:Depends}, linux-headers-omap | linux-headers-linaro-omap
Description: PowerVR SGX Omap 3 kernel modules source code - dkms version
 This package provides the source code for the PowerVR SGX Omap 3 kernel
 modules.
 .
 This driver will allow usage of the OpenGLES SGX libraries, providing
 3D acceleration. Kernel source or headers are required to compile these
 modules.
 .
 This package contains the source to be built with dkms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

sname:=powervr-omap3
pdkms:=powervr-omap3-dkms
sversion:=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

build: patch

clean: unpatch
	dh_testdir
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installdirs -p$(pdkms) usr/src/$(sname)-$(sversion)
	cp -a GFX_Linux_KM/eurasiacon GFX_Linux_KM/include4 GFX_Linux_KM/services4 \
		GFX_Linux_KM/tools GFX_Linux_KM/Kbuild GFX_Linux_KM/Makefile GFX_Linux_KM/README \
		debian/$(pdkms)/usr/src/$(sname)-$(sversion)
	sed "s/__VERSION__/$(sversion)/g" debian/dkms.conf.in > debian/$(pdkms)/usr/src/$(sname)-$(sversion)/dkms.conf
	find debian/$(pdkms) -type f -exec chmod -x {} +
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## powervr-omap3 4.00.00.01-0ubuntu1

=== GFX_Linux_KM/Makefile ===
--- 
+++ 
@@ -9,12 +9,15 @@
 export KBUILD_EXTRA_SYMBOLS = `pwd`/services4/srvkm/env/linux/kbuild/Module.symvers
 
 SGXCORE = 530
+ifeq ($(TI_PLATFORM),ti8168)
+CORE = -DPLAT_TI8168 -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=125
+else
 ifeq ($(TI_PLATFORM),omap3630)
 CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=125
 else
 CORE = -DSGX530 -DSUPPORT_SGX530 -DSGX_CORE_REV=121
 endif
-
+endif
 SUPPORT_SGX = 1
 SUPPORT_HW_RECOVERY = 1
 SUPPORT_SGX_HWPERF = 1

=== GFX_Linux_KM/services4/3rdparty/bufferclass_ti/Makefile ===
.PHONY: all linstall clean

-include ../rules.make

INCS ?= -I$(GSDK_KM_DIR)/include4 \
        -I$(GSDK_KM_DIR)/services4/include

KBUILD_EXTRA_SYMBOLS ?= $(GSDK_KM_DIR)/Module.symvers


CFLAGS = -DLINUX $(INCS)
ifeq ($(OMAP3_ES2x),1)
	CFLAGS += -DOMAP3_ES2x
endif

export CROSS_COMPILE KBUILD_EXTRA_SYMBOLS

all:
	$(MAKE) -C $(KERNEL_DIR) M=`pwd` EXTRA_CFLAGS="$(CFLAGS)" modules

clean:
	$(MAKE) -C $(KERNEL_DIR) M=`pwd` clean

install:
	$(MAKE) -C $(KERNEL_DIR) M=`pwd` INSTALL_MOD_PATH=$(TGTFS_PATH) modules_install

=== GFX_Linux_KM/services4/3rdparty/bufferclass_example/kbuild/Makefile ===
#
# Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#
#

include $(EURASIAROOT)/eurasiacon/build/linux/kbuild/Makefile.kbuild_subdir_common

MODULE		= bc_example

INCLUDES = 	-I$(EURASIAROOT)/include4 \
		-I$(EURASIAROOT)/services4/include \
		-I$(EURASIAROOT)/services4/system/$(PVR_SYSTEM) \
		-I$(EURASIAROOT)/services4/system/include \

SOURCES =	../bufferclass_example.c \
			../bufferclass_example_linux.c \
			../bufferclass_example_private.c

SYM_VERS_DEPS = $(EURASIAROOT)/services4/srvkm/env/linux

=== GFX_Linux_KM/eurasiacon/build/linux/omap3430_linux/kbuild/Makefile ===
#
# Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#
#

include ../../kbuild/Makefile.kbuild

EXTRA_SUBDIRS = $(EURASIAROOT)/services4/3rdparty/dc_omap3430_linux \
				$(EURASIAROOT)/services4/3rdparty/bufferclass_example

=== GFX_Linux_KM/services4/srvkm/env/linux/kbuild/Makefile ===
#
# Copyright(c) 2008 Imagination Technologies Ltd. All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms and conditions of the GNU General Public License,
# version 2, as published by the Free Software Foundation.
# 
# This program is distributed in the hope it will be useful but, except 
# as otherwise stated in writing, without any warranty; without even the 
# implied warranty of merchantability or fitness for a particular purpose. 
# See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
# 
# The full GNU General Public License is included in this distribution in
# the file called "COPYING".
#
# Contact Information:
# Imagination Technologies Ltd. <gpl-support@imgtec.com>
# Home Park Estate, Kings Langley, Herts, WD4 8LZ, UK 
# 
#

include $(EURASIAROOT)/eurasiacon/build/linux/kbuild/Makefile.kbuild_subdir_common

MODULE		= pvrsrvkm

#MODULE_CFLAGS = -E

KBUILDROOT 	= ../../../..

INCLUDES = 	-I$(EURASIAROOT)/include4 \
			-I$(EURASIAROOT)/services4/include \
			-I$(EURASIAROOT)/services4/srvkm/env/linux \
			-I$(EURASIAROOT)/services4/srvkm/include \
			-I$(EURASIAROOT)/services4/srvkm/bridged \
			-I$(EURASIAROOT)/services4/system/$(PVR_SYSTEM) \
			-I$(EURASIAROOT)/services4/system/include 


SOURCES	      = $(KBUILDROOT)/srvkm/env/linux/osfunc.c \
				$(KBUILDROOT)/srvkm/env/linux/mutils.c \
				$(KBUILDROOT)/srvkm/env/linux/mmap.c \
				$(KBUILDROOT)/srvkm/env/linux/module.c \
				$(KBUILDROOT)/srvkm/env/linux/pdump.c \
				$(KBUILDROOT)/srvkm/env/linux/proc.c \
				$(KBUILDROOT)/srvkm/env/linux/pvr_bridge_k.c \
				$(KBUILDROOT)/srvkm/env/linux/pvr_debug.c \
				$(KBUILDROOT)/srvkm/env/linux/mm.c \
				$(KBUILDROOT)/srvkm/env/linux/mutex.c \
				$(KBUILDROOT)/srvkm/env/linux/event.c \
				$(KBUILDROOT)/srvkm/env/linux/osperproc.c

SOURCES	     += $(KBUILDROOT)/srvkm/common/buffer_manager.c \
				$(KBUILDROOT)/srvkm/common/devicemem.c \
				$(KBUILDROOT)/srvkm/common/deviceclass.c \
				$(KBUILDROOT)/srvkm/common/handle.c \
				$(KBUILDROOT)/srvkm/common/hash.c \
				$(KBUILDROOT)/srvkm/common/metrics.c \
				$(KBUILDROOT)/srvkm/common/pvrsrv.c \
				$(KBUILDROOT)/srvkm/common/queue.c \
				$(KBUILDROOT)/srvkm/common/ra.c \
				$(KBUILDROOT)/srvkm/common/resman.c \
				$(KBUILDROOT)/srvkm/common/power.c \
				$(KBUILDROOT)/srvkm/common/mem.c \
				$(KBUILDROOT)/srvkm/common/pdump_common.c \
				$(KBUILDROOT)/srvkm/bridged/bridged_support.c \
				$(KBUILDROOT)/srvkm/bridged/bridged_pvr_bridge.c \
				$(KBUILDROOT)/srvkm/common/perproc.c \
				$(KBUILDROOT)/../services4/system/$(PVR_SYSTEM)/sysconfig.c \
				$(KBUILDROOT)/../services4/system/$(PVR_SYSTEM)/sysutils.c

INCLUDES += -I$(EURASIAROOT)/services4/srvkm/hwdefs 

SYM_VERS_DEPS = $(EURASIAROOT)/tools/intern/debug/dbgdriv/linux


#
# Device dependent
#

ifeq ($(SUPPORT_SGX), 1)

INCLUDES 	+=	-I$(EURASIAROOT)/services4/srvkm/bridged/sgx \
				-I$(EURASIAROOT)/services4/srvkm/devices/sgx

SOURCES		+= 	$(KBUILDROOT)/srvkm/bridged/sgx/bridged_sgx_bridge.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxinit.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxpower.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxreset.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxutils.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxkick.c \
				$(KBUILDROOT)/srvkm/devices/sgx/sgxtransfer.c \
				$(KBUILDROOT)/srvkm/devices/sgx/mmu.c \
				$(KBUILDROOT)/srvkm/devices/sgx/pb.c

else  

ifeq ($(SUPPORT_VGX), 1)

INCLUDES 	+=	-I$(EURASIAROOT)/services4/srvkm/bridged/vgx \
				-I$(EURASIAROOT)/services4/srvkm/devices/vgx

#FIXME: We need to cerate a subset of vgxdefs.h from $(EURASIAROOT)/hwdefs 
# and put it into srvkm/hwdefs for GPL compliance
INCLUDES 	+=	-I$(EURASIAROOT)/hwdefs

SOURCES		+= 	$(KBUILDROOT)/srvkm/bridged/vgx/bridged_vgx_bridge.c \
				$(KBUILDROOT)/srvkm/devices/vgx/vgxinit.c \
				$(KBUILDROOT)/srvkm/devices/vgx/vgxreset.c \
				$(KBUILDROOT)/srvkm/devices/vgx/mmu.c \
				$(KBUILDROOT)/srvkm/devices/vgx/pb.c \
				$(KBUILDROOT)/srvkm/env/linux/pdump_vgx.c
endif

endif # SUPPORT_SGX

ifeq ($(SUPPORT_DRI_DRM),1)
	SOURCES += $(KBUILDROOT)/srvkm/env/linux/pvr_drm.c
	INCLUDES += -I$(KERNELDIR)/drivers/char/drm -I$(KERNELDIR)/include/drm
endif

ifeq ($(PVR_MODULE_TEST),1)
INCLUDES += -I$(EURASIAROOT)/moduletests/include
SOURCES	 += $(KBUILDROOT)/../moduletests/services_test/kern_test.c
SYS_CFLAGS += -DMODULE_TEST
endif

=== debian/changelog ===
powervr-omap3 (4.00.00.01-0ubuntu1) natty; urgency=low

  * New upstream release
    - Compatible with Natty's kernel (LP: #726541)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 12 Apr 2011 02:19:18 -0300
